package com.iamberry.wechat.core.entity.lease;

import java.util.Date;

/**
 * 租赁订单实体类
 * @author 刘志伟
 * 2017-02-07
 */
public class LeaseOrder implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 4791742716362487912L;

	private String orderId;									//订单id
	
	private String orderOpenid;							//所属用户
	
	private Integer orderProductId;					//产品id
	
	private Integer orderColorId;						//产品颜色id
	
	private Integer orderDeposit;						//押金
	
	private Integer orderProductPrice;				//产品原价
	
	private Integer orderProductDiscount;		//产品折扣价
	
	private Integer orderAmount;						//订单总额
	
	private String orderPostNum;						//快递单号
	
	private String orderPostFirm;						//快递公司
	
	private Integer orderStatus;							//状态
	
	private Date orderSendDate;						//发货时间
	
	private Date orderReturnDate;						//申请退货时间/申请退款时间
	
	private String orderReturnPost;					//退货订单号
	
	private String orderAddressInfo;					//详细地址
	
	private String orderAddressPostnum;			//邮编
	
	private String orderAddressTel;					//收件人电话
	
	private String orderAddressName;				//收件人姓名
	
	private String orderReturnDes;					//退款备注
	
	private String orderAdminRemark;				//后台的备注
	
	private String orderUserRemark;					//用户备注
	
	private String orderTransactionId;				//微信订单号
	
	private Date orderTransactionDate;				//微信支付时间
	
	private Date orderCreateDate;						//订单创建时间
	
	private String orderRentTel;							//租用人电话
	
	private String orderInitCode;						//激活码
	
	private Integer orderCodeState;					//激活码状态
	
	private String orderProductName;				//商品名称
	
	private String orderProductPic;					//介绍图
	
	private String orderProductColor;				//产品颜色

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getOrderOpenid() {
		return orderOpenid;
	}

	public void setOrderOpenid(String orderOpenid) {
		this.orderOpenid = orderOpenid;
	}

	public Integer getOrderProductId() {
		return orderProductId;
	}

	public void setOrderProductId(Integer orderProductId) {
		this.orderProductId = orderProductId;
	}

	public Integer getOrderColorId() {
		return orderColorId;
	}

	public void setOrderColorId(Integer orderColorId) {
		this.orderColorId = orderColorId;
	}

	public Integer getOrderDeposit() {
		return orderDeposit;
	}

	public void setOrderDeposit(Integer orderDeposit) {
		this.orderDeposit = orderDeposit;
	}

	public Integer getOrderProductPrice() {
		return orderProductPrice;
	}

	public void setOrderProductPrice(Integer orderProductPrice) {
		this.orderProductPrice = orderProductPrice;
	}

	public Integer getOrderProductDiscount() {
		return orderProductDiscount;
	}

	public void setOrderProductDiscount(Integer orderProductDiscount) {
		this.orderProductDiscount = orderProductDiscount;
	}

	public Integer getOrderAmount() {
		return orderAmount;
	}

	public void setOrderAmount(Integer orderAmount) {
		this.orderAmount = orderAmount;
	}

	public String getOrderPostNum() {
		return orderPostNum;
	}

	public void setOrderPostNum(String orderPostNum) {
		this.orderPostNum = orderPostNum;
	}

	public String getOrderPostFirm() {
		return orderPostFirm;
	}

	public void setOrderPostFirm(String orderPostFirm) {
		this.orderPostFirm = orderPostFirm;
	}

	public Integer getOrderStatus() {
		return orderStatus;
	}

	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}

	public Date getOrderSendDate() {
		return orderSendDate;
	}

	public void setOrderSendDate(Date orderSendDate) {
		this.orderSendDate = orderSendDate;
	}

	public Date getOrderReturnDate() {
		return orderReturnDate;
	}

	public void setOrderReturnDate(Date orderReturnDate) {
		this.orderReturnDate = orderReturnDate;
	}

	public String getOrderReturnPost() {
		return orderReturnPost;
	}

	public void setOrderReturnPost(String orderReturnPost) {
		this.orderReturnPost = orderReturnPost;
	}

	public String getOrderAddressInfo() {
		return orderAddressInfo;
	}

	public void setOrderAddressInfo(String orderAddressInfo) {
		this.orderAddressInfo = orderAddressInfo;
	}

	public String getOrderAddressPostnum() {
		return orderAddressPostnum;
	}

	public void setOrderAddressPostnum(String orderAddressPostnum) {
		this.orderAddressPostnum = orderAddressPostnum;
	}

	public String getOrderAddressTel() {
		return orderAddressTel;
	}

	public void setOrderAddressTel(String orderAddressTel) {
		this.orderAddressTel = orderAddressTel;
	}

	public String getOrderAddressName() {
		return orderAddressName;
	}

	public void setOrderAddressName(String orderAddressName) {
		this.orderAddressName = orderAddressName;
	}

	public String getOrderReturnDes() {
		return orderReturnDes;
	}

	public void setOrderReturnDes(String orderReturnDes) {
		this.orderReturnDes = orderReturnDes;
	}

	public String getOrderAdminRemark() {
		return orderAdminRemark;
	}

	public void setOrderAdminRemark(String orderAdminRemark) {
		this.orderAdminRemark = orderAdminRemark;
	}

	public String getOrderUserRemark() {
		return orderUserRemark;
	}

	public void setOrderUserRemark(String orderUserRemark) {
		this.orderUserRemark = orderUserRemark;
	}

	public String getOrderTransactionId() {
		return orderTransactionId;
	}

	public void setOrderTransactionId(String orderTransactionId) {
		this.orderTransactionId = orderTransactionId;
	}

	public Date getOrderTransactionDate() {
		return orderTransactionDate;
	}

	public void setOrderTransactionDate(Date orderTransactionDate) {
		this.orderTransactionDate = orderTransactionDate;
	}

	public Date getOrderCreateDate() {
		return orderCreateDate;
	}

	public void setOrderCreateDate(Date orderCreateDate) {
		this.orderCreateDate = orderCreateDate;
	}

	public String getOrderRentTel() {
		return orderRentTel;
	}

	public void setOrderRentTel(String orderRentTel) {
		this.orderRentTel = orderRentTel;
	}

	public String getOrderInitCode() {
		return orderInitCode;
	}

	public void setOrderInitCode(String orderInitCode) {
		this.orderInitCode = orderInitCode;
	}

	public Integer getOrderCodeState() {
		return orderCodeState;
	}

	public void setOrderCodeState(Integer orderCodeState) {
		this.orderCodeState = orderCodeState;
	}

	public String getOrderProductName() {
		return orderProductName;
	}

	public void setOrderProductName(String orderProductName) {
		this.orderProductName = orderProductName;
	}

	public String getOrderProductPic() {
		return orderProductPic;
	}

	public void setOrderProductPic(String orderProductPic) {
		this.orderProductPic = orderProductPic;
	}

	public String getOrderProductColor() {
		return orderProductColor;
	}

	public void setOrderProductColor(String orderProductColor) {
		this.orderProductColor = orderProductColor;
	}
	
}
